//
// introscreen.h
//
// program introduction
//
//
// Author: Tomi Belan <tomi.belan@gmail.com>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef _introscreen_h_
#define _introscreen_h_

#include "main.h"
#include "programmode.h"

class IntroScreen : public ProgramMode {
private:
  int frameCounter;
  SDL_Surface *buf;
  
public:
  IntroScreen();
  virtual ~IntroScreen();
  
  virtual void event(SDL_Event *);
  virtual void update();
  virtual void cleanUp();
};

#endif
